<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class InvoiceSettingSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $name1 = 'footer_nota';
        $name2 = 'trans_desc';
        $existing1 = DB::table('invoice_setting')->where('name', $name1)->first();
        if (!$existing1) {
            DB::table('invoice_setting')->insert([
                'name' => 'footer_nota',
                'description' => 'Terimakasih atas kunjungan anda',
                'created_at' => now(),
                'updated_at' => now(),
            ]);
        }

        $existing2 = DB::table('invoice_setting')->where('name', $name2)->first();
        if (!$existing2) {
            DB::table('invoice_setting')->insert([
                'name' => 'trans_desc',
                'description' => 'no',
                'footer_nota_wide' => 'no',
                'footer_sales_order' => 'no',
                'footer_delivery_order' => 'no',
                'created_at' => now(),
                'updated_at' => now(),
            ]);
        }
    }
}
